# class Gem::Ext::CargoBuilder::DylibNotFoundError

Error raised when no cdylib artifact was created

### Public Class Methods

new (dir)
Source

    # File lib/rubygems/ext/cargo_builder.rb, line 335
        def initialize(dir)
          files = Dir.glob(File.join(dir, "**", "*")).map {|f| "- #{f}" }.join "\n"

          super <<~MSG
            Dynamic library not found for Rust extension (in #{dir})

            Make sure you set "crate-type" in Cargo.toml to "cdylib"

            Found files:
            #{files}
          MSG
        end

Calls superclass method `Exception::new`